Part Cone/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Un oggetto Part Cono deriva da un oggetto Funzione Part e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:")
(Created page with "=== Dati ===")
Line 61: Line 61:
Un oggetto Part Cono deriva da un oggetto [[Part_Feature/it|Funzione Part]] e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:
Un oggetto Part Cono deriva da un oggetto [[Part_Feature/it|Funzione Part]] e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:


<span id="Data"></span>
=== Data ===
=== Dati ===


{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}

Revision as of 22:47, 25 December 2023

Part Cone

Posizione nel menu
Parte → Primitive → Cono
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Il comando Part Cono crea un cono parametrico solido. Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, la faccia inferiore del cono si trova sul piano XY con il centro nell'origine.

Il Part Cono predefinito viene troncato. Può essere trasformato in un cono completo, non troncato, modificando la sua proprietà DatiRadius1 o DatiRadius2 su zero. Può essere trasformato in un segmento di cono modificando la sua proprietà DatiAngle.

Utilizzo

  1. Esistono diversi modi per richiamare il comando:
    • Premere il pulsante Cono.
    • Selezionare l'opzione Parte → Primitive → Cono dal menu.
  2. Viene creato il cono.
  3. Facoltativamente, modificare le dimensioni e il DatiPlacement del cono effettuando una delle seguenti operazioni:
    • Fare doppio clic sull'oggetto nella Vista ad albero:
      1. Si apre il pannello delle attività Primitive geometriche.
      2. Modificare una o più proprietà.
      3. L'oggetto viene aggiornato dinamicamente nella vista 3D.
      4. Premere il pulsante OK.
    • Modificare le proprietà nell'Editor delle proprietà.
    • Modificare il DatiPlacement con il comando Trasforma.

Esempio

Part Cono dall'esempio di scripting

Qui viene mostrato un oggetto Part Cono creato con l'esempio di scripting riportato di seguito.

Note

  • È possibile creare un Part Cono anche con il comando Part Primitive. Con questo comando si può specificare le dimensioni e il posizionamento al momento della creazione.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Cono deriva da un oggetto Funzione Part e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DatiRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DatiRadius2 is larger than 0mm. The default is 2mm.
  • DatiRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DatiRadius1 is larger than 0mm. The default is 4mm.
  • DatiHeight (Length): The height of the cone. The default is 10mm.
  • DatiAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()